﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Markup;
using System.Xaml;
using System.ComponentModel;
using Microsoft.Xaml.Tools.XamlDom;

namespace BindingFinder
{
    public abstract class BindingData : MarkupExtension
    {
        public abstract XamlType TypeContext { get; }
        [DesignerSerializationVisibility(DesignerSerializationVisibility.Hidden)]
        public XamlDomObject DomObject { get; set; }
        public Dictionary<string, XamlDomObject> Messages = new Dictionary<string, XamlDomObject>();
        public XamlMember TargetProperty
        {
            get
            {
                return DomObject.Parent.Member;
            }
        }


    }
}
